{
  "type" : "record",
  "name" : "IlluminaSummaryV4",
  "namespace" : "org.gel.models.report.avro",
  "doc" : "This is the summary provided by Illumina V4 germline samples in file SAMPLE_ID.summary.csv",
  "fields" : [ {
    "name" : "illumina_version",
    "type" : {
      "type" : "enum",
      "name" : "IlluminaVersion",
      "symbols" : [ "IlluminaSummaryV1", "IlluminaSummaryV2", "IlluminaSummaryV4", "IlluminaSummaryCancerV2", "IlluminaSummaryCancerV4" ]
    }
  }, {
    "name" : "ARRAY_CONCORDANCE",
    "type" : [ "null", "double" ]
  }, {
    "name" : "ARRAY_CONCORDANCE_USAGE",
    "type" : [ "null", "double" ]
  }, {
    "name" : "AUTOSOME_CALLABILITY",
    "type" : "double"
  }, {
    "name" : "AUTOSOME_COVERAGE_AT_10X",
    "type" : "double"
  }, {
    "name" : "AUTOSOME_COVERAGE_AT_15X",
    "type" : "double"
  }, {
    "name" : "AUTOSOME_COVERAGE_AT_1X",
    "type" : "double"
  }, {
    "name" : "AUTOSOME_EXON_CALLABILITY",
    "type" : "double"
  }, {
    "name" : "AUTOSOME_EXON_COVERAGE_AT_10X",
    "type" : "double"
  }, {
    "name" : "AUTOSOME_EXON_COVERAGE_AT_15X",
    "type" : "double"
  }, {
    "name" : "AUTOSOME_EXON_COVERAGE_AT_1X",
    "type" : "double"
  }, {
    "name" : "AUTOSOME_EXON_MEAN_COVERAGE",
    "type" : "double"
  }, {
    "name" : "AUTOSOME_MEAN_COVERAGE",
    "type" : "double"
  }, {
    "name" : "CALLABILITY",
    "type" : "double"
  }, {
    "name" : "CNVS",
    "type" : "long"
  }, {
    "name" : "CNVS_ALL",
    "type" : "long"
  }, {
    "name" : "CNVS_IN_GENES",
    "type" : "long"
  }, {
    "name" : "CONTAMINATION",
    "type" : "double"
  }, {
    "name" : "COVERAGE_AT_10X",
    "type" : "double"
  }, {
    "name" : "COVERAGE_AT_15X",
    "type" : "double"
  }, {
    "name" : "COVERAGE_AT_1X",
    "type" : "double"
  }, {
    "name" : "DELETIONS",
    "type" : "long"
  }, {
    "name" : "DELETIONS_ALL",
    "type" : "long"
  }, {
    "name" : "DELETIONS_IN_CODING_REGIONS",
    "type" : "long"
  }, {
    "name" : "DELETIONS_IN_EXONS",
    "type" : "long"
  }, {
    "name" : "DELETIONS_IN_GENES",
    "type" : "long"
  }, {
    "name" : "DELETIONS_IN_MATURE_MIRNA",
    "type" : "long"
  }, {
    "name" : "DELETIONS_IN_SPLICE_SITE_REGIONS",
    "type" : "long"
  }, {
    "name" : "DELETIONS_IN_UTR_REGIONS",
    "type" : "long"
  }, {
    "name" : "DELETIONS_PERCENT_FOUND_IN_DBSNP",
    "type" : "double"
  }, {
    "name" : "DELETION_HET_HOM_RATIO",
    "type" : "double"
  }, {
    "name" : "DIVERSITY",
    "type" : "long"
  }, {
    "name" : "FRAGMENT_LENGTH_MAX",
    "type" : "long"
  }, {
    "name" : "FRAGMENT_LENGTH_MEDIAN",
    "type" : "long"
  }, {
    "name" : "FRAGMENT_LENGTH_MIN",
    "type" : "long"
  }, {
    "name" : "FRAGMENT_LENGTH_SD",
    "type" : "long"
  }, {
    "name" : "FRAMESHIFT_DELETIONS",
    "type" : "long"
  }, {
    "name" : "FRAMESHIFT_INSERTIONS",
    "type" : "long"
  }, {
    "name" : "INDELS",
    "type" : "long"
  }, {
    "name" : "INDELS_ALL",
    "type" : "long"
  }, {
    "name" : "INDELS_PERCENT_FOUND_IN_DBSNP",
    "type" : "double"
  }, {
    "name" : "INDEL_HET_HOM_RATIO",
    "type" : "double"
  }, {
    "name" : "INSERTIONS",
    "type" : "long"
  }, {
    "name" : "INSERTIONS_ALL",
    "type" : "long"
  }, {
    "name" : "INSERTIONS_IN_CODING_REGIONS",
    "type" : "long"
  }, {
    "name" : "INSERTIONS_IN_EXONS",
    "type" : "long"
  }, {
    "name" : "INSERTIONS_IN_GENES",
    "type" : "long"
  }, {
    "name" : "INSERTIONS_IN_MATURE_MIRNA",
    "type" : "long"
  }, {
    "name" : "INSERTIONS_IN_SPLICE_SITE_REGIONS",
    "type" : "long"
  }, {
    "name" : "INSERTIONS_IN_UTR_REGIONS",
    "type" : "long"
  }, {
    "name" : "INSERTIONS_PERCENT_FOUND_IN_DBSNP",
    "type" : "double"
  }, {
    "name" : "INSERTION_HET_HOM_RATIO",
    "type" : "double"
  }, {
    "name" : "MAPQ_GT_10_AUTOSOME_COVERAGE_AT_15X",
    "type" : "double"
  }, {
    "name" : "MAPQ_GT_10_AUTOSOME_EXON_COVERAGE_AT_15X",
    "type" : "double"
  }, {
    "name" : "MAPQ_GT_10_AUTOSOME_MEDIAN_COVERAGE",
    "type" : "double"
  }, {
    "name" : "MEAN_COVERAGE",
    "type" : "double"
  }, {
    "name" : "MEDIAN_READ_LENGTH",
    "type" : "string"
  }, {
    "name" : "MEDIAN_READ_LENGTH_READ_1",
    "type" : "string"
  }, {
    "name" : "MEDIAN_READ_LENGTH_READ_2",
    "type" : "string"
  }, {
    "name" : "METRICS_DELIVERABLE",
    "type" : "string"
  }, {
    "name" : "METRICS_VERSION",
    "type" : "string"
  }, {
    "name" : "MISMATCH_RATE",
    "type" : "double"
  }, {
    "name" : "MISMATCH_RATE_READ_1",
    "type" : "double"
  }, {
    "name" : "MISMATCH_RATE_READ_2",
    "type" : "double"
  }, {
    "name" : "NON_SYNONYMOUS_DELETIONS",
    "type" : "long"
  }, {
    "name" : "NON_SYNONYMOUS_INSERTIONS",
    "type" : "long"
  }, {
    "name" : "NON_SYNONYMOUS_SNVS",
    "type" : "long"
  }, {
    "name" : "PAIRED_END",
    "type" : "boolean"
  }, {
    "name" : "PERCENT_ALIGNED_BASES",
    "type" : "double"
  }, {
    "name" : "PERCENT_ALIGNED_BASES_READ_1",
    "type" : "double"
  }, {
    "name" : "PERCENT_ALIGNED_BASES_READ_2",
    "type" : "double"
  }, {
    "name" : "PERCENT_ALIGNED_READS",
    "type" : "double"
  }, {
    "name" : "PERCENT_ALIGNED_READ_1",
    "type" : "double"
  }, {
    "name" : "PERCENT_ALIGNED_READ_2",
    "type" : "double"
  }, {
    "name" : "PERCENT_AT_DROPOUT",
    "type" : "double"
  }, {
    "name" : "PERCENT_CNVS_IN_GENES",
    "type" : "double"
  }, {
    "name" : "PERCENT_DUPLICATE_ALIGNED_READS",
    "type" : "double"
  }, {
    "name" : "PERCENT_DUPLICATE_PROPER_READ_PAIRS",
    "type" : "double"
  }, {
    "name" : "PERCENT_GC_DROPOUT",
    "type" : "double"
  }, {
    "name" : "PERCENT_NON_SPATIAL_DUPLICATE_READ_PAIRS",
    "type" : "double"
  }, {
    "name" : "PERCENT_OVERLAPPING_BASES",
    "type" : "double"
  }, {
    "name" : "PERCENT_Q25_BASES_READ_1",
    "type" : "double"
  }, {
    "name" : "PERCENT_Q25_BASES_READ_2",
    "type" : "double"
  }, {
    "name" : "PERCENT_Q30_BASES",
    "type" : "double"
  }, {
    "name" : "PERCENT_Q30_BASES_READ_1",
    "type" : "double"
  }, {
    "name" : "PERCENT_Q30_BASES_READ_2",
    "type" : "double"
  }, {
    "name" : "PERCENT_READ_PAIRS_ALIGNED_TO_DIFFERENT_CHROMOSOMES",
    "type" : "double"
  }, {
    "name" : "PERCENT_SOFT_CLIPPED_BASES",
    "type" : "double"
  }, {
    "name" : "Q30_BASES_EXCLUDING_CLIPPED_AND_DUPLICATE_READ_BASES",
    "type" : "long"
  }, {
    "name" : "READ_ENRICHMENT_AT_75_GC",
    "type" : "double"
  }, {
    "name" : "READ_ENRICHMENT_AT_80_GC",
    "type" : "double"
  }, {
    "name" : "REFERENCE_GENOME",
    "type" : "string"
  }, {
    "name" : "RUN_FOLDER",
    "type" : "string"
  }, {
    "name" : "SAMPLE_ID",
    "type" : "string"
  }, {
    "name" : "SAMPLE_NAME",
    "type" : "string"
  }, {
    "name" : "SNVS",
    "type" : "long"
  }, {
    "name" : "SNVS_ALL",
    "type" : "long"
  }, {
    "name" : "SNVS_IN_CODING_REGIONS",
    "type" : "long"
  }, {
    "name" : "SNVS_IN_EXONS",
    "type" : "long"
  }, {
    "name" : "SNVS_IN_GENES",
    "type" : "long"
  }, {
    "name" : "SNVS_IN_MATURE_MIRNA",
    "type" : "long"
  }, {
    "name" : "SNVS_IN_SPLICE_SITE_REGIONS",
    "type" : "long"
  }, {
    "name" : "SNVS_IN_UTR_REGIONS",
    "type" : "long"
  }, {
    "name" : "SNVS_PERCENT_FOUND_IN_DBSNP",
    "type" : "double"
  }, {
    "name" : "SNV_HET_HOM_RATIO",
    "type" : "double"
  }, {
    "name" : "SNV_TS_TV_RATIO",
    "type" : "double"
  }, {
    "name" : "STOP_GAINED_DELETIONS",
    "type" : "long"
  }, {
    "name" : "STOP_GAINED_INSERTIONS",
    "type" : "long"
  }, {
    "name" : "STOP_GAINED_SNVS",
    "type" : "long"
  }, {
    "name" : "STOP_LOST_DELETIONS",
    "type" : "long"
  }, {
    "name" : "STOP_LOST_INSERTIONS",
    "type" : "long"
  }, {
    "name" : "STOP_LOST_SNVS",
    "type" : "long"
  }, {
    "name" : "SV_BREAKENDS",
    "type" : "long"
  }, {
    "name" : "SV_BREAKENDS_ALL",
    "type" : "long"
  }, {
    "name" : "SV_BREAKENDS_IN_GENES",
    "type" : "long"
  }, {
    "name" : "SV_DELETIONS",
    "type" : "long"
  }, {
    "name" : "SV_DELETIONS_ALL",
    "type" : "long"
  }, {
    "name" : "SV_DELETIONS_IN_GENES",
    "type" : "long"
  }, {
    "name" : "SV_INSERTIONS",
    "type" : "long"
  }, {
    "name" : "SV_INSERTIONS_ALL",
    "type" : "long"
  }, {
    "name" : "SV_INSERTIONS_IN_GENES",
    "type" : "long"
  }, {
    "name" : "SV_INVERSIONS",
    "type" : "long"
  }, {
    "name" : "SV_INVERSIONS_ALL",
    "type" : "long"
  }, {
    "name" : "SV_INVERSIONS_IN_GENES",
    "type" : "long"
  }, {
    "name" : "SV_PERCENT_BREAKENDS_IN_GENES",
    "type" : "double"
  }, {
    "name" : "SV_PERCENT_DELETIONS_IN_GENES",
    "type" : "double"
  }, {
    "name" : "SV_PERCENT_INSERTIONS_IN_GENES",
    "type" : "double"
  }, {
    "name" : "SV_PERCENT_INVERSIONS_IN_GENES",
    "type" : "double"
  }, {
    "name" : "SV_PERCENT_TANDEM_DUPLICATIONS_IN_GENES",
    "type" : "double"
  }, {
    "name" : "SV_TANDEM_DUPLICATIONS",
    "type" : "long"
  }, {
    "name" : "SV_TANDEM_DUPLICATIONS_ALL",
    "type" : "long"
  }, {
    "name" : "SV_TANDEM_DUPLICATIONS_IN_GENES",
    "type" : "long"
  }, {
    "name" : "SYNONYMOUS_SNVS",
    "type" : "long"
  }, {
    "name" : "TOTAL_ALIGNED_BASES",
    "type" : "long"
  }, {
    "name" : "TOTAL_ALIGNED_BASES_READ_1",
    "type" : "long"
  }, {
    "name" : "TOTAL_ALIGNED_BASES_READ_2",
    "type" : "long"
  }, {
    "name" : "TOTAL_ALIGNED_READS",
    "type" : "long"
  }, {
    "name" : "TOTAL_ALIGNED_READ_1",
    "type" : "long"
  }, {
    "name" : "TOTAL_ALIGNED_READ_2",
    "type" : "long"
  }, {
    "name" : "TOTAL_ALIGNED_READ_PAIRS",
    "type" : "long"
  }, {
    "name" : "TOTAL_DUPLICATE_ALIGNED_READS",
    "type" : "long"
  }, {
    "name" : "TOTAL_DUPLICATE_PROPER_READ_PAIRS",
    "type" : "long"
  }, {
    "name" : "TOTAL_MAPQ_GT_10_READS",
    "type" : "long"
  }, {
    "name" : "TOTAL_PF_BASES",
    "type" : "long"
  }, {
    "name" : "TOTAL_PF_BASES_READ_1",
    "type" : "long"
  }, {
    "name" : "TOTAL_PF_BASES_READ_2",
    "type" : "long"
  }, {
    "name" : "TOTAL_PF_READS",
    "type" : "long"
  }, {
    "name" : "TOTAL_PF_READ_1",
    "type" : "long"
  }, {
    "name" : "TOTAL_PF_READ_2",
    "type" : "long"
  }, {
    "name" : "TOTAL_PROPER_READ_PAIRS",
    "type" : "long"
  }, {
    "name" : "UNIQUE_ALIGNED_READS",
    "type" : "long"
  } ]
}
